New Install-Package Manager out of date problem

If you are new to Linux or new to Sabayon Linux and just not sure where to post, here ya go. Post without fear of being told to RTFM :)

Moderator: Moderators

Post Reply
chris_debian
Simple Hen
Posts: 56
Joined: Tue Mar 08, 2011 22:13

New Install-Package Manager out of date problem

Post by chris_debian » Mon Apr 08, 2019 17:39

Hi, all.

I've got a fresh install, but can't update my packages. I've tried using Rego and combinations of equo, but because the package manager is out of date, I can't complete a full package update. When I try to upgrade portage, loads of other packages get pulled into the upgrade, and then the upgrade fails, due to the package manager.

After much reading of the wiki, and other search results, I can't find a way to just make sure the package manager is up to date, so that the whole system can then be brought up to date.

Does that make sense?

Can anyone offer any suggestions?

Cheers,

Chris.

User avatar
Fitzcarraldo
Sagely Hen
Posts: 8186
Joined: Sat Mar 10, 2007 5:40
Location: United Kingdom
Contact:

Re: New Install-Package Manager out of date problem

Post by Fitzcarraldo » Mon Apr 08, 2019 18:17

Try the following:

https://www.linuxquestions.org/question ... ost5960858

That worked for me last time I had a similar problem.

chris_debian
Simple Hen
Posts: 56
Joined: Tue Mar 08, 2011 22:13

Re: New Install-Package Manager out of date problem

Post by chris_debian » Mon Apr 08, 2019 18:21

Thank you; I'll give it a try. Not sure why the problem exists, as I'm using the latest install media.

Chris

chris_debian
Simple Hen
Posts: 56
Joined: Tue Mar 08, 2011 22:13

Re: New Install-Package Manager out of date problem

Post by chris_debian » Mon Apr 08, 2019 18:50

The first bit didn't work, but the later bit if the post did:

---

su
equo install --nodeps sys-apps/entropy rigo equo

If the problem is exist, and the equo shows some packages need to updrade, please use follow command to upgrade them first.

equo install sys-apps/portage --norecursive --ask
equo install sys-apps/entropy --norecursive --ask
equo install sys-devel/binutils --norecursive --ask

---

Going to try the routine in the wiki now, for post-installation updates. I'll report my progress.

Cheers,

Chris

Post Reply